#
# spec file for package valgrind (Version 3.2.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           valgrind
BuildRequires:  gcc-c++ xorg-x11-devel
%ifarch x86_64 ppc64
%if %suse_version > 1010
BuildRequires:  gcc-32bit
%endif
%if %suse_version < 1010
BuildRequires:  gcc-32bit glibc-32bit
%endif
%endif
Url:            http://valgrind.org/
License:        GPL v2 only
Group:          Development/Tools/Debuggers
Summary:        Valgrind Suite of Tools for Debugging and Profiling
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.2.3
Release:        57.2
Source0:        %{name}-%{version}.tar.bz2
# svn  di svn://svn.valgrind.org/valgrind/tags/VALGRIND_3_2_1 svn://svn.valgrind.org/valgrind/branches/VALGRIND_3_2_BRANCH > 3_2_BRANCH.diff
# svn  di svn://svn.valgrind.org/vex/tags/VEX_3_2_1 svn://svn.valgrind.org/vex/branches/VEX_3_2_BRANCH > VEX_3_2_BRANCH.diff
Patch3:         valgrind-6012.patch
Patch4:         openat-handling.diff
Patch5:         omega_RC_01.patch
Patch6:         putenv-wrapper.diff
Patch7:         glibc-2.6.diff
Patch8:         jit-runtime-support.diff
Patch9:         glibc-2.6.1.diff
Patch10:        amd64-nop-prefixes.diff
Patch11:        massif-fixes.diff
Patch12:        cve-2008-4865.diff
Provides:       callgrind
Obsoletes:      callgrind
ExclusiveArch:  %ix86 x86_64 ppc ppc64

%description
Valgrind checks all memory operations in an application, like read,
write, malloc, new, free, and delete. Valgrind can find uses of
uninitialized memory, access to already freed memory, overflows,
illegal heap operations, memory leaks, and any illegal
new/malloc/free/delete commands. Another program in the package is
"cachegrind," a profiler based on the valgrind engine. It is plugin
based and many different tools are available.

To use valgrind you should launch the application like normal with
debuginfo packages installed, for example:


_memcheck --leak-check_


More valgrind options can be listed via "valgrind --help". There is
also complete documentation in the /usr/share/doc/packages/valgrind/
directory. A debugged application runs slower and needs much more
memory, but is usually still usable.



Authors:
--------
    Julian Seward <jseward@acm.org>
    Cerion Armour-Brown
    Jeremy Fitzhardinge
    Tom Hughes
    Nicholas Nethercote
    Paul Mackerras
    Dirk Mueller
    Robert Walsh

%debug_package
%package devel
License:        GPL v2 or later
Summary:        Valgrind Suite of Tools for Debugging and Profiling
Group:          Development/Tools/Debuggers
Requires:       %name = %version

%description devel
Valgrind checks all memory operations in an application, like read,
write, malloc, new, free, and delete. Valgrind can find uses of
uninitialized memory, access to already freed memory, overflows,
illegal heap operations, memory leaks, and any illegal
new/malloc/free/delete commands. Another program in the package is
"cachegrind," a profiler based on the valgrind engine. It is plugin
based and many different tools are available.

To use valgrind you should launch the application like normal with
debuginfo packages installed, for example:


_memcheck --leak-check_


More valgrind options can be listed via "valgrind --help". There is
also complete documentation in the /usr/share/doc/packages/valgrind/
directory. A debugged application runs slower and needs much more
memory, but is usually still usable.



Authors:
--------
    Julian Seward <jseward@acm.org>
    Cerion Armour-Brown
    Jeremy Fitzhardinge
    Tom Hughes
    Nicholas Nethercote
    Paul Mackerras
    Dirk Mueller
    Robert Walsh

%prep
%setup -q -n %{name}-%{version}
cd VEX
cd ..
%ifarch %ix86 x86_64
%patch5
%endif
%patch4
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
autoreconf -fi
export GDB=/usr/bin/gdb
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages
mv $RPM_BUILD_ROOT/usr/share/doc/valgrind $RPM_BUILD_ROOT/usr/share/doc/packages

%files
%defattr(-,root,root)
%exclude %_libdir/valgrind/*/*.a
%doc README* NEWS ACKNOWLEDGEMENTS AUTHORS COPYING
/usr/bin/*
%_libdir/valgrind
%doc %_mandir/*/*

%files devel
%defattr(-,root,root)
/usr/include/valgrind
/usr/%_lib/pkgconfig/valgrind.pc
%_libdir/valgrind/*/*.a

%changelog
* Thu Nov 20 2008 - dmueller@suse.de
- fix .valgrindrc reading vulnerability (CVE-2008-4865, bnc#445013)
* Fri Sep 14 2007 - dmueller@suse.de
- fix divisions by zero in massif (#310234)
* Wed Sep 12 2007 - dmueller@suse.de
- fix build on ppc64 again
- update suppressions
* Fri Aug 24 2007 - dmueller@suse.de
- fix valgrind on x86_64 (#296803)
* Tue Aug 21 2007 - dmueller@suse.de
- suppression update
* Tue Jul 24 2007 - dmueller@suse.de
- update suppression file
* Mon Jul 09 2007 - dmueller@suse.de
- support JIT runtimes (#289490)
* Tue Jul 03 2007 - dmueller@suse.de
- update suppression file (#287090)
* Wed May 23 2007 - dmueller@suse.de
- build against glibc 2.6
* Thu Apr 05 2007 - dmueller@suse.de
- split into -devel subpackage
* Fri Mar 30 2007 - dmueller@suse.de
- add patch to track undefinedness in environment (#249676)
* Tue Jan 30 2007 - dmueller@suse.de
- update to 3.2.3:
  * fixes two serious regressions introduced in 3.2.2
  * intercept stpcpy_chk (#234247)
- fix openat syscall wrapper (#240225)
* Thu Jan 25 2007 - dmueller@suse.de
- intercept stpcpy_chk and memrchr as well (#234347)
* Tue Jan 23 2007 - dmueller@suse.de
- switch to gcc-32bit on x86_64
* Mon Jan 22 2007 - dmueller@suse.de
- update to 3.2.2:
  * many fixes for ppc 32/64 (#fate 301640)
* Tue Oct 17 2006 - dmueller@suse.de
- disable omega plugin for ppc/ppc64
* Mon Oct 16 2006 - dmueller@suse.de
- update to 3.2 BRANCH:
  * support glibc 2.5
  * update suppressions
- add omega plugin
* Sat Sep 16 2006 - dmueller@suse.de
- update to 3.2.1:
  * suppresion updates
* Fri Sep 15 2006 - dmueller@suse.de
- update to 3.2.1rc1:
  * about 36 bugfixes
* Wed Sep 13 2006 - stbinner@suse.de
- fix build with < Factory
* Mon Aug 28 2006 - dmueller@suse.de
- fix suppressions
- update drd plugin
* Thu Aug 24 2006 - dmueller@suse.de
- add experimental drd plugin
- fix build on x86_64
* Wed Aug 02 2006 - dmueller@suse.de
- also fix multibyte NOP parsing for x86_64
* Tue Aug 01 2006 - dmueller@suse.de
- add patch to handle multibyte NOPs as generated by
  recent binutils
* Wed Jun 07 2006 - dmueller@suse.de
- update to 3.2.0 final
  * only marginal changes since rc1
* Tue May 30 2006 - dmueller@suse.de
- update to 3.2.0 rc1:
  * ppc64 support
  * callgrind now integrated part
  * massive performance improvements
  * lots of emulation fixlets
* Thu Mar 16 2006 - dmueller@suse.de
- update to 3.1.1 (FATE #300493)
* Mon Mar 06 2006 - dmueller@suse.de
- various updates from branch to fix PPC32 support
* Mon Feb 06 2006 - dmueller@suse.de
- Fix GDB support
* Mon Feb 06 2006 - dmueller@suse.de
- Reduce BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 04 2006 - dmueller@suse.de
- update to 3.1 branch
* Fri Dec 09 2005 - dmueller@suse.de
- fix strict-aliasing issue
* Mon Nov 28 2005 - dmueller@suse.de
- 3.1.0 final update
* Mon Nov 21 2005 - dmueller@suse.de
- 3.1.0 RC1 update
* Thu Nov 10 2005 - dmueller@suse.de
- update to 3.1 SVN
* Tue Nov 08 2005 - dmueller@suse.de
- add hack to make valgrind work with apps that require executable stack
* Thu Sep 15 2005 - dmueller@suse.de
- update 3.0.1 final
* Thu Aug 25 2005 - dmueller@suse.de
- make massif work again
* Sun Aug 21 2005 - dmueller@suse.de
- fix trace-children=yes failure
- add default suppressions for SL 10
* Mon Aug 15 2005 - dmueller@suse.de
- regenerate VEX offset headers, otherwise it just hangs
* Fri Aug 12 2005 - dmueller@suse.de
- update to 3.0 branch to make it work on non-SSE platforms (#104181)
* Fri Aug 05 2005 - dmueller@suse.de
- initial package of 3.0
